/***************************************************************************
                          tracer.cpp  -  description
                             -------------------
    begin                : Sun Mar 19 2000
    copyright            : (C) 2000 by Marc Bartsch
    email                : marc.bartsch@topmail.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "tracer.h"

Tracer::Tracer(): GeoTool()
{
	ID = ID_tracer;
  identificator = "Tracer";

	int temp[] = { ID_geoPoint, 1, -1 };
	convertParams( temp, sizeof( temp ) / sizeof( temp[0] ) );
}

Tracer::~Tracer()
{
}

void Tracer::processObjects()
{
	if ( parents.first()->getTrace() )
	{
	  parents.first()->setTrace( false );
	}
	else
	{
	  parents.first()->setTrace( true );
	}
}
